# PUPPy, A Playstation Update Package (PUP) packer/unpacker
# Copyright (C) 2011, Hexodin

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

import pup

if __name__ == "__main__":
    PUP = pup.PUP("pup-hmac")
    if len(sys.argv) == 4:
        if sys.argv[1] == "-u" or sys.argv[1] == "--unpack": PUP.unpack(sys.argv[2], sys.argv[3])
        elif sys.argv[1] == "-p" or sys.argv[1] == "--pack": PUP.pack(sys.argv[2], sys.argv[3])
        else:
            raw_input("puppy.py [-p|-u] [pup_filename] [directory]")
            sys.exit()
    else:
        raw_input("puppy.py [-p|-u] [pup_filename] [directory]")
        sys.exit()
